Package be.vlaanderen.mercurius.mohm.common.v7

# Class SupportAndRepairType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.SupportAndRepairType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class SupportAndRepairType extends Object implements Serializable
Generiek type voor het budget voor onderhoud en herstel.

Java class for SupportAndRepairType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SupportAndRepairType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SupportAndRepairID" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}SupportAndRepairIDType"/>
             <element name="SupportAndRepairCode" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}CareServiceCodeType"/>
             <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}SupportAndRepairStatusType"/>
             <element name="Amount" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}AmountType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SupportAndRepairType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAmount()`
  Beschikbaar saldo van het budget onderhoud en herstel.
  `SupportAndRepairStatusType`
  `getStatus()`
  Status van het budget onderhoud en herstel.
  `String`
  `getSupportAndRepairCode()`
  Prestatiecode van het budget onderhoud en herstel.
  `String`
  `getSupportAndRepairID()`
  Unieke ID van het budget voor onderhoud en herstel van het mobiliteitshulpmiddel.
  `void`
  `setAmount(BigDecimal value)`
  Sets the value of the amount property.
  `void`
  `setStatus(SupportAndRepairStatusType value)`
  Sets the value of the status property.
  `void`
  `setSupportAndRepairCode(String value)`
  Sets the value of the supportAndRepairCode property.
  `void`
  `setSupportAndRepairID(String value)`
  Sets the value of the supportAndRepairID property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SupportAndRepairType

    public SupportAndRepairType()

- ## Method Details

  - ### getSupportAndRepairID

    public String getSupportAndRepairID()
    Unieke ID van het budget voor onderhoud en herstel van het mobiliteitshulpmiddel.
    Returns:
      possible object is `String`

  - ### setSupportAndRepairID

    public void setSupportAndRepairID(String value)
    Sets the value of the supportAndRepairID property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSupportAndRepairID()`

  - ### getSupportAndRepairCode

    public String getSupportAndRepairCode()
    Prestatiecode van het budget onderhoud en herstel.
    Returns:
      possible object is `String`

  - ### setSupportAndRepairCode

    public void setSupportAndRepairCode(String value)
    Sets the value of the supportAndRepairCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSupportAndRepairCode()`

  - ### getStatus

    public SupportAndRepairStatusType getStatus()
    Status van het budget onderhoud en herstel.
    Returns:
      possible object is `SupportAndRepairStatusType`

  - ### setStatus

    public void setStatus(SupportAndRepairStatusType value)
    Sets the value of the status property.
    Parameters:
      `value` - allowed object is `SupportAndRepairStatusType`
    See Also:
      - `getStatus()`

  - ### getAmount

    public BigDecimal getAmount()
    Beschikbaar saldo van het budget onderhoud en herstel.
    Returns:
      possible object is `BigDecimal`

  - ### setAmount

    public void setAmount(BigDecimal value)
    Sets the value of the amount property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getAmount()`